
Foreman - Bug #11403

Allowed vars and helpers are global constants

08/18/2015 07:20 AM - Lukas Zapletal

Status: Rejected   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Plugin integration   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2740

  

Description

These are overriden everytime the class is reloaded in development node which causes issues to plugins which adds extra symbols

to the arrays. We should have an Plugin API to pull the list of allowed elements rather than adding things into the arrays.

Related issues:

Related to Foreman - Feature #14588: Improve extending template helpers from ... Closed 04/12/2016

History

#1 - 09/18/2015 09:56 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2740 added

- Pull request deleted ()

#2 - 04/12/2016 10:49 AM - Lukas Zapletal

- Related to Feature #14588: Improve extending template helpers from plugin  added

#3 - 04/12/2016 11:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Rejected

This will be addressed in #14588.
